--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: count
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: date
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: expires
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: first_used
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: last_used
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: response
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: maybe_new
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: "::Utils::HttpUtil::CachedObject"
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: expired?
- !ruby/object:RI::MethodSummary 
  name: revalidate
- !ruby/object:RI::MethodSummary 
  name: setup_headers
- !ruby/object:RI::MethodSummary 
  name: use
name: CachedObject
superclass: Object
